<?php
//incluir el archivo de conexion
require_once './Clases/db.php';

//############# TOASTS ############//
include "ArchivosCSS/StyleToasts.php";
?>

<!DOCTYPE html>
<html lang="es" dir="ltr">
<title>Login</title>
<head>
  <link rel="icon" type="image/png" href="Imagenes/logo.png">
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!--======== CSS / Boostrap / Boostrap Icons ========-->
  <link rel="stylesheet" type="text/css" href="ArchivosCSS/style_login.css">
  <link rel="stylesheet" type="text/css" href="ArchivosCSS/Toast_Position.css">
  <link rel="stylesheet" type="text/css" href="bootstrap-5.3.1/css/bootstrap.min.css">
  <link rel="stylesheet" type="text/css" href="bootstrap-icons-1.10.5/font/bootstrap-icons.css">
</head>
<body class="boddy">
  <!--======== Area Toast ========-->
  <div class="contenedor-botones" id="contenedor-botones">
    <?php 
if (isset($_GET['exito'])=='S') {
//boton que activa el toast cuando esta oculto 
      echo $exitoBTN;
//Todo el toast y su contenido esta aca, se mostrara si el boton se activa
      echo $exitoToast;
    }else{
  // Si el valor de error no está definido, puedes asignarle un valor por defecto o mostrar un mensaje de error
  //echo "aqui no hay nada";
    }
//Aqui se muestra el toast dependiendo del numero de case que tenga el parametro "error", todos los echo $errorBTN y $errorTOAST
    //estan en el archivo StyleToast.php en la carpeta ArchivoCSS
    if (isset($_GET['error'])) {
      $e = $_GET["error"];

      switch($e){
      case "1"://toast de error " No estan permitidos los caracteres especiales en el usuario."
        echo $errorBTN1;
        echo $errorToast1;
      break; 

      case "2"://toast de error " Usuario en uso, intente con otro usuario"
        echo $errorBTN2;
        echo $errorToast2;
      break; 
      case "3"://toast de error " Correo electrónico en uso, intente con otro correo electrónico"
        echo $errorBTN3;
        echo $errorToast3;
      break; 
      case "4"://toast de error " Error Desconocido"
        echo $errorBTN4;
        echo $errorToast4;
      break; 
      case "5"://toast de error clave o usuario incorrecto (error validado en Login)
        echo $errorBTN5;
        echo $errorToast5;
      break;
      case "6"://toast de error No puede dejar campos vacios
        echo $errorBTN6;
        echo $errorToast6;
      break;
      case "7"://toast de error Usuario desactivado
        echo $errorBTN7;
        echo $errorToast7;
      break;
   } 
 } 
    ?>

  <style>
    .Mayusc{
      text-transform: capitalize;
    }
  </style>
  </div>
  <!--======== Fin Area Toast ========-->
  <div class="container_formulario">
    <input type="checkbox" id="flip">
    <div class="cover">
      <div class="front">
        <img src="Imagenes/frontImg.jpg" alt="">
        <div class="text">
          <span class="text-1">Aplicacion de Inventario<br> & Ventas de la </span>
          <span class="text-2">Emperadora Internet Y Mas</span>
        </div>
      </div>
      <div class="back">
        <img class="backImg" src="Imagenes/backImg.jpg" alt="">
        <div class="text">
        </div>
      </div>
    </div>
    <div class="forms">
      <div class="form-content">
        <div class="login-form">
          <div class="title">Acceder</div>
          <!--======== Form login ========-->
          <form method="POST" action="./register-login/login.php">
            <div class="input-boxes">
              <div class="input-box">
               <i class="bi bi-person-fill"></i>
               <input type="text" id="username" class="Mayusc" name="username" placeholder="Ingrese Usuario" maxlength="20">
             </div>
             <div class="input-box">
               <i class="bi bi-lock-fill"></i>
               <input type="password" id="password" name="password" placeholder="Ingrese Clave" maxlength="16"
               title="clave MAX 16 caracteres">
             </div>
             <!--Boton de envio del formulario-->
             <div class="button input-box">
              <input type="submit" name="login" value="Entrar">
            </div>
            <div class="text sign-up-text"> <label for="flip">Registrarme</label></div>
          </div>
        </form>
      </div>

      <div class="signup-form">
        <div class="title">Registro De Clientes</div>
        <!--======== Form Registrar ========-->
        <form method="POST" action="./register-login/register.php">
          <div class="input-boxes">
            <div class="input-box">
              <i class="bi bi-person-fill"></i>
              <input type="text" id = "reg_username" class="Mayusc" name="reg_username" placeholder="Introduzca Su Usuario" maxlength="20">
            </div>
            <div class="input-box">
              <i class="bi bi-envelope-fill"></i>
              <input type="email" id="email" name="email" placeholder="Introduzca Su Correo" maxlength="35">
            </div>
            <div class="input-box">
              <i class="bi bi-lock-fill"></i>
              <input type="password" id="reg_password" name="reg_password" placeholder="Introduzca Su Clave" maxlength="16" 
              title="clave MAX 16 caracteres">
            </div>

            <input type="hidden" value="3" name="perfil">

            <!--Boton de envio del formulario-->
            <div class="button input-box">
              <input type="submit" name="btn_register_LOGIN" value="Registrarme">
            </div>
            <div class="text sign-up-text"> <label for="flip">Iniciar sesión</label></div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<!--======== Jquery / bootstrap.bundle / bootstrap.min / Toast ========-->
<script src="ArchivosJS/jquery-3.6.0.min.js"></script>
<script src="bootstrap-5.3.1/js/bootstrap.bundle.min.js"></script>
<script src="ArchivosJS/bootstrap.min.js"></script>
<script src="ArchivosJS/toasts.js"></script>
</body>
</html>
